use std::{panic, fs::File, io::Write};

use log::error;
use nanobyte_opentelemetry::{default_filter_layer, LogLevel, install_panic_handler};
use ovlach_pdf::rocket_builder;
use tracing::Level;


#[rocket::main]
async fn main() {
    install_panic_handler();
    let _opentelemetry = nanobyte_opentelemetry::init_telemetry(
        env!("CARGO_PKG_NAME"),
        env!("CARGO_PKG_VERSION"),
        &std::env::var("OTLP_ENDPOINT").unwrap_or("".to_string()),
        Some(default_filter_layer(LogLevel::DebugWithoutRs))
    );
    let _ = rocket_builder().launch().await;
}
